AUTOMAKE_OPTIONS = foreign
INCLUDES = \
        -I$(top_srcdir)\
        -I$(top_srcdir)/sqlite\
        -I$(top_srcdir)/include\
        $(GLIB_CFLAGS)\
        $(LOG_DOMAINS)\
		$(SOUP_CFLAGS)\
		$(DBUS_CFLAGS)\
		$(NM_CFLAGS)\
        -DBMP_PLUGIN_BUILD

LD_COMMON_FLAGS = --export-dynamic

libtransport_http_LTLIBRARIES = libtransport_http.la
libtransport_httpdir = $(PLUGIN_DIR)/vfs/transport
libtransport_http_la_CXXFLAGS = $(GLIBMM_CFLAGS) $(GTKMM_CFLAGS) $(GTK_CFLAGS)
libtransport_http_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module
libtransport_http_la_LIBADD = $(GTK_LIBS) $(GLIB_LIBS) $(SOUP_LIBS)
libtransport_http_la_SOURCES =	\
        libtransport_http.cc	


libtransport_file_LTLIBRARIES = libtransport_file.la
libtransport_filedir = $(PLUGIN_DIR)/vfs/transport
libtransport_file_la_CXXFLAGS = $(GLIBMM_CFLAGS)
libtransport_file_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module
libtransport_file_la_LIBADD = $(GTK_LIBS) $(GLIB_LIBS) 
libtransport_file_la_SOURCES = \
        libtransport_file.cc 
